# Uses of Enum Class
org.apache.lucene.index.IndexWriterConfig.OpenMode

Packages that use IndexWriterConfig.OpenMode
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of IndexWriterConfig.OpenMode in org.apache.lucene.index

  Fields in org.apache.lucene.index declared as IndexWriterConfig.OpenMode
  Modifier and Type
  Field
  Description
  `protected IndexWriterConfig.OpenMode`
  LiveIndexWriterConfig.`openMode`
  `IndexWriterConfig.OpenMode` that `IndexWriter` is opened with.
  Methods in org.apache.lucene.index that return IndexWriterConfig.OpenMode
  Modifier and Type
  Method
  Description
  `IndexWriterConfig.OpenMode`
  IndexWriterConfig.`getOpenMode()`
  `IndexWriterConfig.OpenMode`
  LiveIndexWriterConfig.`getOpenMode()`
  Returns the `IndexWriterConfig.OpenMode` set by `IndexWriterConfig.setOpenMode(OpenMode)`.
  `static IndexWriterConfig.OpenMode`
  IndexWriterConfig.OpenMode.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IndexWriterConfig.OpenMode[]`
  IndexWriterConfig.OpenMode.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.index with parameters of type IndexWriterConfig.OpenMode
  Modifier and Type
  Method
  Description
  `IndexWriterConfig`
  IndexWriterConfig.`setOpenMode(IndexWriterConfig.OpenMode openMode)`
  Specifies `IndexWriterConfig.OpenMode` of the index.
  Constructors in org.apache.lucene.index with parameters of type IndexWriterConfig.OpenMode
  Modifier
  Constructor
  Description
  ``
  `PersistentSnapshotDeletionPolicy(IndexDeletionPolicy primary, Directory dir, IndexWriterConfig.OpenMode mode)`
  `PersistentSnapshotDeletionPolicy` wraps another `IndexDeletionPolicy` to enable flexible snapshotting.